Execute Application Diagnostics
Generates an Application Diagnostics report in Microsoft Excel format and stores it in the default download location.
Note:
This REST API is currently not supported for Financial Consolidation and Close (FCCS), Tax Reporting (TRCS), NetSuite, and Enterprise Profitability and Cost Management (EPCM) applications.
Required Roles
Service Administrator
REST Resource
POST /HyperionPlanning/rest/{api_version}/applications/{application}/jobsRequest
Supported Media Types: application/json
Parameters
The following table summarizes the client request parameters specific to this job. For parameters that are common to all jobs, see Execute a Job.
Table 3-38 Execute Application Diagnostics
| Name | Description | Required | Default |
|---|---|---|---|
jobType |
Execute Application Diagnostics or
EXECUTE_APPLICATION_DIAGNOSTICS (both parameters are
supported)
|
Yes | None |
jobName |
The name of the job to be used. This job name appears on the job console. Example: |
No | Execute Application Diagnostics |
fileName |
The name of the output file, in the default download location, to which the
Application Diagnostics report is written.
If a file with the same name already
exists, the job fails unless |
No | A system-generated file name is used if this parameter is not specified. |
overwrite |
Specifies whether an existing file with the same name in the default download location should
be overwritten. If this parameter is not specified or is set to
false, the job fails if the file already exists.
|
No | false |
For a sample URL, see the sample URL and payload in Execute a Job
Sample Payload
Example 1: Generates an Application Diagnostics report using a system-generated file name.
{
"jobType": "EXECUTE_APPLICATION_DIAGNOSTICS",
"jobName": "Execute Application Diagnostics"
}Example 2: Generates an Application Diagnostics report using the specified output file name and overwrites an existing file with the same name, if present.
{"jobType":"EXECUTE_APPLICATION_DIAGNOSTICS","jobName":"Execute Application Diagnostics","parameters":{"fileName":"AppDiagnosticsReport.xlsx","overwrite":true}}